#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Windows;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.ComponentModel;
using Syncfusion.Windows.Shared;

namespace TreeContextMenuDemo
{
    public class ViewModel : NotificationObject
    {

        public ViewModel()
        {
            
            populatecollection();
        }

        private ObservableCollection<Folder> models;

        public void populatecollection()
        {
            Models = new ObservableCollection<Folder>();
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2= "My Computer", Column3= "Music", });
            Models.Add(new Folder { Column1 = "Windows Explorer"  , Column2 = "My Computer", Column3 = "Videos" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "My Computer", Column3 = "Wallpaper.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "My Computer", Column3 = "Banner.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "My Network Places", Column3 = "Sever" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "My Network Places", Column3 = "Image1.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "My Network Places", Column3 = "Image2.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "Favourites", Column3 = "Image3.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "Favourites", Column3 = "Image4.png" });
            Models.Add(new Folder { Column1 = "Windows Explorer", Column2 = "Favourites", Column3 = "My Folders" });

        }
        public ObservableCollection<Folder> Models
        {
            get { return models; }
            set { models = value; }
        }
        
    }


   
}
